package com.ym.mec.biz.dal.dto;

import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;

public class ActivityCourseDetailDto {
    private Integer userId;

    @ApiModelProperty(value = "vip1", required = false)
    private Integer vip1 = 0;

    @ApiModelProperty(value = "vip1", required = false)
    private Integer vip2 = 0;

    @ApiModelProperty(value = "赠送vip", required = false)
    private Integer free_vip = 0;

    @ApiModelProperty(value = "乐理课", required = false)
    private Integer music_theory = 0;

    private BigDecimal music_theory_price;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Integer getVip1() {
        return vip1;
    }

    public void setVip1(Integer vip1) {
        this.vip1 = vip1;
    }

    public Integer getVip2() {
        return vip2;
    }

    public void setVip2(Integer vip2) {
        this.vip2 = vip2;
    }

    public Integer getFree_vip() {
        return free_vip;
    }

    public void setFree_vip(Integer free_vip) {
        this.free_vip = free_vip;
    }

    public Integer getMusic_theory() {
        return music_theory;
    }

    public void setMusic_theory(Integer music_theory) {
        this.music_theory = music_theory;
    }

    public BigDecimal getMusic_theory_price() {
        return music_theory_price;
    }

    public void setMusic_theory_price(BigDecimal music_theory_price) {
        this.music_theory_price = music_theory_price;
    }
}
